botruntime
API ReferenceChat API

List Users

Retrieves a list of [User](#schema_user) previously created. The users are returned in sorted order, with the most recent appearing first. The list can be filtered using [Tags](/docs/data/tags).

GET
/v1/chat/users

Query Parameters

nextToken?string

Provide the meta.nextToken value provided in the last API response to retrieve the next page of results

pageSize?integer

Number of items to return per page (default 20, max 100)

conversationId?string

Filter by conversation id. This will return all users that have participated in the conversation.

tags?

Filter by tags

afterDate?string

Date in ISO 8601 string with UTC timezone after which the user was created or updated (inclusive)

beforeDate?string

Date in ISO 8601 string with UTC timezone before which the user was created or updated (inclusive)

rangeField?string

Field used for range filtering. Allowed values are "updatedAt" or "createdAt". Defaults to "createdAt" if omitted.

Value in

  • "updatedAt"
  • "createdAt"
sortField?string

Sort results by this field

Value in

  • "updatedAt"
  • "createdAt"
sortDirection?string

Sort results in this direction

Value in

  • "asc"
  • "desc"

Header Parameters

x-bot-id*string

Bot id

x-integration-id?string

Integration id

x-integration-alias?string

Integration alias

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/chat/users" \  -H "x-bot-id: string"
{  "users": [    {      "id": "stringstringstringstringstri",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "tags": {        "property1": "string",        "property2": "string"      },      "name": "string",      "pictureUrl": "string",      "properties": {        "property1": "string",        "property2": "string"      },      "attributes": {        "property1": "string",        "property2": "string"      }    }  ],  "meta": {    "nextToken": "string"  }}
{  "users": [    {      "id": "stringstringstringstringstri",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "tags": {        "property1": "string",        "property2": "string"      },      "name": "string",      "pictureUrl": "string",      "properties": {        "property1": "string",        "property2": "string"      },      "attributes": {        "property1": "string",        "property2": "string"      }    }  ],  "meta": {    "nextToken": "string"  }}